<?php

namespace App\Model;

final class DeployMethodTypes
{
    public const string MULTICAST = 'multicast';

    public const string MULTICAST_UFTP = 'uftp';
    public const string MULTICAST_UDPCAST = 'udpcast';
    public const string UNICAST = 'unicast';
    public const string TORRENT = 'p2p';

    private const array DEPLOYMENT_METHOD_TYPES = [
        self::MULTICAST => 'Multicast',
        self::UNICAST => 'Unicast',
        self::TORRENT => 'Torrent',
    ];

    public static function getDeploymentMethodTypes(): array
    {
        return self::DEPLOYMENT_METHOD_TYPES;
    }

    public static function getDeploymentMethodType(string $type): ?string
    {
        return self::DEPLOYMENT_METHOD_TYPES[$type] ?? null;
    }
    public static function getDeploymentMethodTypeKeys(): array
    {
        return array_keys(self::DEPLOYMENT_METHOD_TYPES);
    }
}